cURL
curl "https://api.phrase.com/v2/accounts/:account_id/jobs?owned_by=abcd1234cdef1234abcd1234cdef1234&assigned_to=abcd1234cdef1234abcd1234cdef1234&state=completed" \
-u USERNAME_OR_ACCESS_TOKENphrase jobs by_account \
--account_id <account_id> \
--owned_by abcd1234cdef1234abcd1234cdef1234 \
--assigned_to abcd1234cdef1234abcd1234cdef1234 \
--state completed \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/jobs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "626ea67628690c73ac86ac81eec2d185",
"name": "Translations for new Feature",
"briefing": "Some instructions for the translators",
"due_date": "2017-02-28T09:52:53Z",
"state": "completed",
"ticket_url": "https://example.atlassian.net/browse/FOO",
"created_at": "2017-01-28T09:52:53Z",
"updated_at": "2017-01-28T09:52:53Z",
"project": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
}
]Jobs
List account jobs
List all jobs for the given account.
GET
/
accounts
/
{account_id}
/
jobs
cURL
curl "https://api.phrase.com/v2/accounts/:account_id/jobs?owned_by=abcd1234cdef1234abcd1234cdef1234&assigned_to=abcd1234cdef1234abcd1234cdef1234&state=completed" \
-u USERNAME_OR_ACCESS_TOKENphrase jobs by_account \
--account_id <account_id> \
--owned_by abcd1234cdef1234abcd1234cdef1234 \
--assigned_to abcd1234cdef1234abcd1234cdef1234 \
--state completed \
--access_token <token>import requests
url = "https://api.phrase.com/v2/accounts/{account_id}/jobs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.phrase.com/v2/accounts/{account_id}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "626ea67628690c73ac86ac81eec2d185",
"name": "Translations for new Feature",
"briefing": "Some instructions for the translators",
"due_date": "2017-02-28T09:52:53Z",
"state": "completed",
"ticket_url": "https://example.atlassian.net/browse/FOO",
"created_at": "2017-01-28T09:52:53Z",
"updated_at": "2017-01-28T09:52:53Z",
"project": {
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "My Android Project",
"main_format": "xml",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}
}
]Authorizations
TokenBasic
Enter your token in the format token TOKEN
Headers
Two-Factor-Authentication token (optional)
Path Parameters
Account ID
Query Parameters
Page number
Limit on the number of objects to be returned, between 1 and 100. 25 by default
filter by user owning job
filter by user assigned to job
filter by state of job; valid states are: draft, in_progress, completed
filter by jobs updated since given date
Response
OK
Show child attributes
Show child attributes
Example:
{ "id": "abcd1234cdef1234abcd1234cdef1234", "name": "My Android Project", "main_format": "xml", "created_at": "2015-01-28T09:52:53Z", "updated_at": "2015-01-28T09:52:53Z" }
Show child attributes
Show child attributes
Example:
{ "name": "new-branch" }
The ID of the automation that created this job, or null if the job was created manually.
The ID of the job template this job was created from, or null if no template was used.
The review due date for this job. Returns null when the project does not have review workflow enabled.
Example:
"2015-03-25T11:43:52Z"
Was this page helpful?